%global pkg_name        File-Path
%global pkg_version     2.03
%global rpm_pkg_version 2.03
%global rpm_pkg_release 1.n0i.3

Summary:       Create or remove directory trees
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/File/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Pod)


%description
File::Path provides utility functions to create or remove directory trees.

"mkpath" function provides a convenient way to create directories of
arbitrary depth.

"rmtree" function provides a convenient way to delete an entire directory
subtree from the filesystem, much like the Unix command "rm -r".


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes eg/ README TODO
%{perl_files}


%changelog
* Mon Nov 05 2007 Marius Feraru <altblue@n0i.net> - 0:2.03-1.n0i.3
- version 2.03

* Tue Oct 30 2007 Marius Feraru <altblue@n0i.net> - 0:2.02-1.n0i.2
- version 2.02

* Tue Oct 09 2007 Marius Feraru <altblue@n0i.net> - 0:2.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 2.01
